This repository has been archived by the owner. It is now read-only.
A small web app to check if your (Australian) voicemail is vulnerable to information disclosure.
Python JavaScript Shell CSS
Switch branches/tags
Nothing to show
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
static
templates
Dockerfile
LICENSE
README.md
api.py
conv.py
data.tar.gz

README.md

Optus Voicemail Check

A simple web app to check if your (Australian) voicemail is vulnerable to information disclosure. For more information, see this article.

Usage

For maximum hackerage:

$ tar xvfz data.tar.gz
# => Extract ACMA database.
$ ./acma-conv data.csv
# => Hopefully no errors.
$ ./acma-api.py [-H host] [-p port] [-D]
# => Run the goddamn server.

To access the API, navigate to this URL:

http://<host>:<port>/api/<number>

You'll get a response like this:

{"code": 200, "body": {"telco": <the telco>, "number": <number>, "vulnerable": <is it vulnerable?>}}

... or the world will explode. Who knows?

Data Integrity

The data used for this project is provided by ACMA, and no guarantees are made for the integrity of the data provided (except any which are provided by ACMA)